function conectar_vc() {
	var juser = get('user');
	var jpass = get('pass');
	url = get("url") + "phpfiles/login.php?user=" + juser + "&pass=" + jpass;
	var resultado = JSON.parse(ajax(url));
	if (resultado['status'] == "ok") {
		changeElementValue('formato', 'fmt01');
		pui.click();
	}
	else {
		changeElementValue('errlog', 'Usuario/contraseña incorrecta');
	}
}
function descargar() {
	var pics = get("pics")
	debugger;
	pics = pics.split(',');
	if (pics.length <= 120) {
		listaPics = '';
		for (var i = 0; i < pics.length; i++) {
			listaPics += pics[i];
			if (i < pics.length - 1) {
				listaPics += ',';
			}

		}
		listaPics = encodeURIComponent(listaPics)
		var jrampa = get('cbRampa');
		url = get("url") + "phpfiles/control_ras_v24_crear_video.php?ras=" + jrampa + "&pics=" + listaPics;
		var resultado = ajax(url);
		rutavideos = get('rutavideos');
		if (resultado == "OK") {
			postToNewWindow(rutavideos + "/temp.mp4");
		}
	}
	else {
		alert('Demasiados resultados para generar el video. Por favor refine la busqueda');
	}
}
function exportar_csv() {

	jbulto = get('bultow').trim();
	jola = get('olaw').trim();
	jtransportista = get('transportistaw').trim();
	jposicion = get('posicionw').trim();
	jfechahas = get('fechahas').trim();
	jfechades = get('fechades').trim();
	jestado = get('estadow').trim();

	url = get("url") + "phpfiles/control_ras_v24_exportar_csv.php?ras=" + get(ras) +
		"&bulto=" + jbulto +
		"&ola=" + jola +
		"&transportista=" + jtransportista +
		"&posicion=" + jposicion +
		"&fechahas=" + jfechahas +
		"&fechades=" + jfechades +
		"&estado=" + jestado;
	var resultado = JSON.parse(ajax(url));
	if (resultado['status'] == "ok") {
		applyProperty('link', 'visibility', '');
		changeElementValue('link', resultado['filename']);

	}

}
function descargar_csv() {
	pui.link(get('link'));
}
function seleccion(row) {

	pic = getObj("grid1").grid.getDataValue(row, "pic");
	tfotos = getObj("grid1").grid.getDataValue(row, "tfotos");
	divisor = getObj("grid1").grid.getDataValue(row, "divisor");
	pics = get("pics").split(",");
	var a = pics.indexOf(pic + '#' + tfotos + '#' + divisor);
	if (a < 0) {
		if (get("pics") === '') {
			changeElementValue("pics", pic + '#' + tfotos + '#' + divisor);
		} else {
			changeElementValue("pics", get("pics") + ',' + pic + '#' + tfotos + '#' + divisor);
		}
	} else {
		pics.splice(a, 1);
		changeElementValue("pics", pics.join());
	}

	if (get("pics") === '') {
		applyProperty("btplay", "visibility", "hidden");
		applyProperty("imagen", "visibility", "hidden");
	} else {
		applyProperty("btplay", "visibility", "visible");
	}
}
function cambiar_rampa() {
	changeElementValue('cbRampa', get('ras'));
	pui.click("btrampa");
}
function play() {

	fotos = ''
	pics = get("pics").split(",");
	pics.sort();
	changeElementValue("pics", pics.join());
	totalpics = pics.length;
	videoPlay(pics[0], get('rutavideos'));

}
function playDirect(row) {
	applyProperty(get('gplay.' + row), 'visibility', 'hidden');

	videoPlay(get('pic.' + row), get('rutavideos'));
	setTimeout(function () { applyProperty(get('gplay.' + row), 'visibility', ''); }, 4000);
}
var ventana;
function videoPlay(picVideo, rutavideos) {
	debugger;
	picVideo = picVideo.split('#')[0];
	if (ventana != undefined) {
		ventana.close();
	}
	ventana = window.open(rutavideos + "/T" + picVideo + ".mp4", "_blank", "menubar=no,scrollbar=no,scrollbars=no,channelmode=yes,height=380,width=680,left=650,top=250");
}

function descargar_video(row) {
	var pic = get('pic.' + row);
	var rutavideos = get('rutavideos');
	urlTotal = rutavideos + "/C" + pic + ".mp4";
	download(urlTotal, "C" + pic + ".mp4");
}
function download(url, filename) {
	fetch(url).then(function (t) {
		return t.blob().then((b) => {
			var a = document.createElement("a");
			a.href = URL.createObjectURL(b);
			a.setAttribute("download", filename);
			a.click();
		}
		);
	});
}

function seleccion_rampa() {
	jras = get('cmb_rampa');

	pui.click('btn_rampa');

}


